import pdb
import atom
import sys
from structure import *

if(len(sys.argv)<2):
    print("Not enough arguments! Run with --help to learn more about proper"
          "call structure and parameters.")
else:
    pdb_file = pdb.PDBFile(sys.argv[1])
   # print(pdb_file.residues[15].atoms["C"].coord_x)
    #print(pdb_file.residues[2].atoms["N"].res_seq_nb, pdb_file.residues[2].atoms["N"].coord_x, pdb_file.residues[2].atoms["N"].coord_y, pdb_file.residues[2].atoms["N"].coord_z)
    #print(pdb_file.residues[2].atoms["H"].coord_x)
    #print(pdb_file.residues[2].h_bond(pdb_file.residues[40]))
    #print(get_turns(pdb_file.residues))
    #print(pdb_file.residues[27].h_bond(pdb_file.residues[28]))
    #print(get_bridges(pdb_file.residues))
    turns = get_turns(pdb_file.residues)
    get_helix(pdb_file.residues, turns)
    get_bends(pdb_file.residues)
